//=========================================
//Redsun 2020 Mission 21 Script - Generic Script
//Forgive my amatuerness I don't normally do any form of coding
//-Yakedo
//=========================================

class MS_Mission17 extends MissionScript;

function InitStateMachine() {

	super.InitStateMachine();
	FirstFrame();
}

function FirstFrame()
{
	local Inventory item, nextItem;
	local SpawnPoint SP;

	Super.FirstFrame();

	if (flags.GetBool('MS_PlayerCaptured'))
	{
//	if (localURL == "17_Russia_MilitaryBase")
//	{
		// remove the player's inventory and put it in a room
		// also, heal the player up to 50% of his total health
		if (!flags.GetBool('MS_InventoryRemoved'))
		{
			Player.HealthHead = Max(50, Player.HealthHead);
			Player.HealthTorso =  Max(50, Player.HealthTorso);
			Player.HealthLegLeft =  Max(50, Player.HealthLegLeft);
			Player.HealthLegRight =  Max(50, Player.HealthLegRight);
			Player.HealthArmLeft =  Max(50, Player.HealthArmLeft);
			Player.HealthArmRight =  Max(50, Player.HealthArmRight);
			Player.GenerateTotalHealth();

			if (Player.Inventory != None)
			{
				item      = Player.Inventory;
				nextItem  = None;

				foreach AllActors(class'SpawnPoint', SP, 'player_inv')
				{
					// Find the next item we can process.
					while((item != None) && (item.IsA('NanoKeyRing') || (!item.bDisplayableInv)))
						item = item.Inventory;

					if (item != None)
					{
						nextItem = item.Inventory;
						Player.DeleteInventory(item);

						item.DropFrom(SP.Location);

						// restore any ammo amounts for a weapon to default
						if (item.IsA('Weapon') && (Weapon(item).AmmoType != None))
							Weapon(item).PickupAmmoCount = Weapon(item).Default.PickupAmmoCount;
					}
					
					if (nextItem == None)
						break;	
					else
						item = nextItem;
				}
			}
			
			flags.SetBool('MS_InventoryRemoved', True,, 18);
		}
	}
}

function Timer()
{
	local ScriptedPawn pawn;
	local Actor A;
        local MapleCaptive chick;

	Super.Timer();

	// do this for every map in this mission
	// if the player is "killed" after a certain flag, he is sent to mission 5
	if (!flags.GetBool('MS_PlayerCaptured'))
	{
		if (flags.GetBool('CameToHalp'))
		{
			if (Player.IsInState('Dying'))
			{
				flags.SetBool('MS_PlayerCaptured', True,, 18);
				Player.GoalCompleted('GoToClub');
				Player.GoalCompleted('FindFrank');
				Level.Game.SendPlayer(Player, "17_Russia_MilitaryBase");
			}
		}
	}
    foreach AllActors(class'MapleCaptive', chick, 'MapleCaptive')
    {
	if (flags.GetBool('ExploredFeelings'))
	{
		if (!flags.GetBool('PoofedToSurface'))
		{
				flags.SetBool('PoofedToSurface', True,, 18);
				Level.Game.SendPlayer(Player, "17_Russia_Camp");
		}
	}
	if (!flags.GetBool('ChangedMaple'))
	{
		if (flags.GetBool('HasBoner'))
		{
			if (chick != None)
                        {
				chick.Mesh = LodMesh'DeusExCharacters.GFM_TShirtPants';
				chick.MultiSkins[0] = Texture'Markistan.Skins.MapleTex0';
				chick.MultiSkins[1] = Texture'DeusExItems.Skins.PinkMaskTex';
				chick.MultiSkins[2] = Texture'DeusExItems.Skins.PinkMaskTex';
				chick.MultiSkins[3] = Texture'DeusExItems.Skins.GrayMaskTex';
				chick.MultiSkins[4] = Texture'DeusExItems.Skins.BlackMaskTex';
				chick.MultiSkins[5] = Texture'Markistan.Skins.MapleTex0';
				chick.MultiSkins[6] = Texture'Markistan.Skins.CommunistTex2';
				chick.MultiSkins[7] = Texture'Markistan.Skins.MapleTankTop';
				flags.SetBool('ChangedMaple', True,, 18);
			}
		}
	}
	if (!flags.GetBool('ChangedMapleAgain'))
	{
		if (flags.GetBool('PassedCommiBase'))
		{
			if (chick != None)
                        {
				chick.Mesh = LodMesh'DeusExCharacters.GFM_TShirtPants';
				chick.MultiSkins[0] = Texture'Markistan.Skins.MapleTex0';
				chick.MultiSkins[1] = Texture'DeusExItems.Skins.PinkMaskTex';
				chick.MultiSkins[2] = Texture'DeusExItems.Skins.PinkMaskTex';
				chick.MultiSkins[3] = Texture'DeusExItems.Skins.GrayMaskTex';
				chick.MultiSkins[4] = Texture'DeusExItems.Skins.BlackMaskTex';
				chick.MultiSkins[5] = Texture'Markistan.Skins.MapleTex0';
				chick.MultiSkins[6] = Texture'Markistan.Skins.CommunistTex2';
				chick.MultiSkins[7] = Texture'Markistan.Skins.MapleTankTop';
				flags.SetBool('ChangedMapleAgain', True,, 18);
			}
		}
	}
	if (!flags.GetBool('ChangedMapleThird'))
	{
		if (flags.GetBool('ExploredFeelings'))
		{
			if (!flags.GetBool('IsMarriedToMaple'))
			{
				if (chick != None)
                        	{
					chick.Mesh = LodMesh'DeusExCharacters.GFM_TShirtPants';
					chick.MultiSkins[0] = Texture'Markistan.Skins.MapleTex0';
					chick.MultiSkins[1] = Texture'DeusExItems.Skins.PinkMaskTex';
					chick.MultiSkins[2] = Texture'DeusExItems.Skins.PinkMaskTex';
					chick.MultiSkins[3] = Texture'DeusExItems.Skins.GrayMaskTex';
					chick.MultiSkins[4] = Texture'DeusExItems.Skins.BlackMaskTex';
					chick.MultiSkins[5] = Texture'Markistan.Skins.MapleTex0';
					chick.MultiSkins[6] = Texture'Markistan.Skins.CommunistTex2';
					chick.MultiSkins[7] = Texture'Markistan.Skins.MapleTankTop';
					flags.SetBool('ChangedMapleThird', True,, 18);
				}
			}
		}
	}
    }
}

defaultproperties
{
}
