//=============================================================================
// MarkistanCommando.
//=============================================================================
class MarkistanCommando extends MS_Military;

function Bool HasTwoHandedWeapon()
{
	return False;
}

function PlayReloadBegin()
{
	TweenAnimPivot('Shoot', 0.1);
}

function PlayReload()
{
}

function PlayReloadEnd()
{
}

function PlayIdle()
{
}

function TweenToShoot(float tweentime)
{
	if (Region.Zone.bWaterZone)
		TweenAnimPivot('TreadShoot', tweentime, GetSwimPivot());
	else if (!bCrouching)
		TweenAnimPivot('Shoot2', tweentime);
}

function PlayShoot()
{
	if (Region.Zone.bWaterZone)
		PlayAnimPivot('TreadShoot', , 0, GetSwimPivot());
	else
		PlayAnimPivot('Shoot2', , 0);
}

function bool IgnoreDamageType(Name damageType)
{
	if ((damageType == 'TearGas') || (damageType == 'PoisonGas'))
		return True;
	else
		return False;
}

function float ShieldDamage(Name damageType)
{
	if (IgnoreDamageType(damageType))
		return 0.0;
	else if ((damageType == 'Burned') || (damageType == 'Flamed'))
		return 0.5;
	else if ((damageType == 'Poison') || (damageType == 'PoisonEffect'))
		return 0.5;
	else
		return Super.ShieldDamage(damageType);
}


function GotoDisabledState(name damageType, EHitLocation hitPos)
{
	if (!bCollideActors && !bBlockActors && !bBlockPlayers)
		return;
	else if (!IgnoreDamageType(damageType) && CanShowPain())
		TakeHit(hitPos);
	else
		GotoNextState();
}

defaultproperties
{
     CarcassType=Class'Markistan.MarkistanCommandoCarcass'
     Orders=Standing
     bReactFutz=True
     bReactLoudNoise=True
     bReactShot=True
     bReactCarcass=True
     bReactDistress=True
     Alliance=Markistan
     InitialAlliances(0)=(AllianceName=Player,AllianceLevel=1.000000,bPermanent=True)
     InitialAlliances(1)=(AllianceName=Commi,AllianceLevel=-1.000000,bPermanent=True)
     InitialInventory(0)=(Inventory=Class'Markistan.WeaponAssaultRocket')
     InitialInventory(1)=(Inventory=Class'Markistan.AmmoAssaultRocket',Count=200)
     InitialInventory(2)=(Inventory=Class'Markistan.WeaponMinigun')
     InitialInventory(3)=(Inventory=Class'Markistan.Ammo556mm',Count=300)
     Health=450
     HealthHead=350
     HealthTorso=350
     HealthLegLeft=350
     HealthLegRight=350
     HealthArmLeft=350
     HealthArmRight=350
     Mesh=LodMesh'DeusExCharacters.GM_ScaryTroop'
     MultiSkins(0)=Texture'Markistan.Skins.MarkistanCommandoTex1'
     MultiSkins(1)=Texture'Markistan.Skins.MarkistanCommandoTex1'
     MultiSkins(2)=Texture'Markistan.Skins.MarkistanCommandoTex0'
     MultiSkins(3)=Texture'Markistan.Skins.MarkistanCommandoTex1'
     CollisionRadius=28.000000
     CollisionHeight=49.880001
     BindName="MarkistanCommando"
     BarkBindName="MarkistanCommando"
     FamiliarName="Jeff"
     UnfamiliarName="Markistan Commando"
     BurnPeriod=0.000000
}
