//=============================================================================
// WeaponAK47.
//=============================================================================
class WeaponAK47 extends DeusExWeapon;

var() float                   		FireRate; 		//used to modify firing animations
var() travel float          	TimeBetweenFire; 	//used to modify firing animations

simulated function PlaySelectiveFiring()
{
      local Pawn aPawn;
if (( Level.NetMode == NM_Standalone ) || ( DeusExPlayer(Owner) == DeusExPlayer(GetPlayerPawn())) )
	{
		if (DeusExPlayer(Owner) != None)
        	{
//        		if (bAutomatic)
          		LoopAnim('Shoot',4.25,0.03);
//                 else
//			PlayAnim('Shoot',,0.1);
		}
	        else
               	{
                        bAutomatic = True;
                       	bRapidFire = False;
		        LoopAnim('Shoot', FireRate, TimeBetweenFire);
			PlaySound(sound'AK47Burst');
                }
            
	}
             else if ( Role == ROLE_Authority )
	{
		for ( aPawn = Level.PawnList; aPawn != None; aPawn = aPawn.nextPawn )
		{
			if ( aPawn.IsA('DeusExPlayer') && ( DeusExPlayer(Owner) != DeusExPlayer(aPawn) ) )
			{
				// If they can't see the weapon, don't bother
				if ( DeusExPlayer(aPawn).FastTrace( DeusExPlayer(aPawn).Location, Location ))
					DeusExPlayer(aPawn).ClientPlayAnimation( Self, 'Shoot', 0.1, bAutomatic );
			}
 Super.PlaySelectiveFiring();
		}
	}

}

defaultproperties
{
     LowAmmoWaterMark=30
     GoverningSkill=Class'DeusEx.SkillWeaponRifle'
     NoiseLevel=0.500000
     EnviroEffective=ENVEFF_Air
     Concealability=CONC_Visual
     bAutomatic=True
     ShotTime=0.100000
     reloadTime=2.000000
     HitDamage=8
     BaseAccuracy=0.700000
     bCanHaveLaser=True
     recoilStrength=0.300000
     MinWeaponAcc=0.200000
     mpReloadTime=0.500000
     mpHitDamage=8
     mpBaseAccuracy=0.050000
     mpAccurateRange=4800
     mpMaxRange=9600
     mpReloadCount=100
     bCanHaveModBaseAccuracy=True
     bCanHaveModReloadCount=True
     bCanHaveModAccurateRange=True
     bCanHaveModReloadTime=True
     bCanHaveModRecoilStrength=True
     AmmoName=Class'DeusEx.Ammo762mm'
     ReloadCount=30
     PickupAmmoCount=90
     bInstantHit=True
     FireOffset=(X=-16.000000,Y=5.000000,Z=11.500000)
     shakemag=200.000000
     AIRating=2.000000
     RefireRate=0.990000
     FireSound=Sound'Markistan.Weapons.AK47Fire'
     CockingSound=Sound'DeusExSounds.Weapons.AssaultGunReload'
     SelectSound=Sound'DeusExSounds.Weapons.AssaultGunSelect'
     Misc3Sound=Sound'Markistan.Weapons.AK47Fire'
     InventoryGroup=191
     ItemName="AK-47"
     ItemArticle="an"
     PlayerViewOffset=(X=16.000000,Y=-5.000000,Z=-11.500000)
     PlayerViewMesh=LodMesh'DeusExItems.AssaultGun'
     PickupViewMesh=LodMesh'DeusExItems.AssaultGunPickup'
     ThirdPersonMesh=LodMesh'DeusExItems.AssaultGun3rd'
     LandSound=Sound'DeusExSounds.Generic.DropMediumWeapon'
     Icon=Texture'Markistan.Icons.BeltIconAK47'
     largeIcon=Texture'Markistan.Icons.InventoryIconAK47'
     largeIconWidth=192
     largeIconHeight=65
     invSlotsX=4
     invSlotsY=2
     Description="The AK-47 is a classical and powerful weapon, simplistic in its design and weilding heavy power, it should be cautioned."
     beltDescription="AK-47"
     Mesh=LodMesh'DeusExItems.AssaultGunPickup'
     SoundRadius=96
     SoundVolume=255
     CollisionRadius=15.000000
     CollisionHeight=3.000000
     Mass=30.000000
     FireRate=1.000000
     TimeBetweenFire=0.100000
}
